<?php

namespace AppBundle\Repository\Time;

/**
 * BaseTimeRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class BaseTimeRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryBaseTimes($limit = 5, $recent = false)
    {
        $qb = $this->createQueryBuilder('i');
        $qb->orderBy('i.createdAt', 'DESC')
            ->setMaxResults($limit);
        if($recent) {
            $date = new \DateTime();
            $date->sub(new \DateInterval("P3M")); // check info sooner than 3 month
            $qb->where('i.createdAt > :date')
                ->setParameter('date', $date);
        }

        return $qb;
    }
}
